#MOD NAME#
Astra Militarum Imperial Guard Core Mod

#AUTHOR#
QuantumX

#LICENSE#
You are hereby encouraged to learn from my mod or addon mods for your own personal use.
But, ask permission before uploading any of my content.

#CHANGE LOG#
V1.642
* Fixed Sort Bug for Tyranid Stew.

V1.641 - Early Game Balance Changes
* You can now also build AutoGuns at the Machining Table. Enable early game access to this gun.
* Removed the need for some of the Research items needing a Multi-Analyser. Enables some ealer game access to some stuff.
* Lowered Research count for "Basic Imperial Construction" Research to enable better early game access to items.
* Lowered Research count for "Imperial Metals" Research to enable better early game access to items.
* Added Small Stocks of Uranium and Gold to the Rogue Trader

V1.64
* Increased considerably the Capability of the Void Shield Belt, makes Melee Pawns using Imperial Melee Weapons far more viable.
* New "Rogue Trader" Orbital TraderKind, who stocks Imperial Items. Good way of getting those imperial items when a little short to be able to make stuff.
* Rogue Trader will always have a basic stock of AutoGuns. Use them early in game if you're finding it difficult.
* Added Trader Tags to all Tradeable Items.
* Added Market Values to Melee Weapons, so they can be sold by Rogue Trader
* Balanced a number of Market Values on various items. mostly lowered, but a few increased.
* Moved the "Tyranid Stew" items from the Factions Mod to the Core mod, this enabled the Rogue Trader to sell this item even if you dont have the Factions mod installed. Should not affect existing Save Games.

V1.63 - Changes I wanted based on my 20 hour playthrough.
* Fabricators can now be moved, and packaged for storage.
* Imperial Bed and Hospital Bed can now be packaged and moved.
* Increased Frequency of Orbital Traders using Mod Storytellers from 10 days to 2 days.
* Lowed Stuff Costs for Jump Suit, from 500 to 100.
* Reducted Work Required to make imperial resources at the Imperial Fabricator, by around 30%
* Increase Planetary Core Extractor Amounts by about 20%, and reduced work amount required by 10%. Mainly because you need more and more of these resources each time i add items.

V1.62
* Changed the build requirements for planetary extractor to be more toward vanilla resources, because it can be too hard to get the amount of Refined Ceramite required.
* All Imperial Weapons are now Smeltable to get resources back from them.

V1.61
* UrlockGaur Story Teller fixed "again" to work with Hospitaility mod, the Chaos Undivided Story Teller was already working with Hospitality Mod.
* ThingsCatagories, has been changed as it affected the used of outfit control etc. so rather than all IG Mods coming under its own route area then are now under the appropiate Vanilla catagories BUT still in their own groups. Example, Helmets are in Apparel - Imperial Apparel - Imperial Guard Headgear.
* Carapace Armor can now user Servo Arms and Flak Plates. This will make you pawns even tougher :) and not versitle.. Might be overpowered please feedback.

V1.6
* Core Mod Update for Tyranid Faction Support, some new Textures, Sounds, Thoughts defs etc. These have no affect on Core Game without the factions mod.
* Story Tellers UrlockGaur has been moved from Faction Mod to be part of Core Mod. Should not affect any games already using the story tellers.
* Added New Story Teller, Chaos Undivided - Expect Chaos...
* Made the story teller xml better and should provide a better challenge, and now be compatiable with Hospitality Mod.
* Fixed Paradox Poker Table - Pawns will now play this game and get great joy from doing do.
* New more 3D looking Paradox Poker Table, and MenuIcon.
* Re-Balanced Webber, having tested it would incapicitate a raid 5 vs 8 not problems. The Accuracy has been decreased 20% accross all ranges, also reduced the unConscious Affect to be 7% instead of 15% and last 1.5 day instead of 20 days. These weapons are really suppose to be secondary weapons to capture a targeted pawn.
* ThingCatagories has been completely redesigned for all Core and Addon Mod Items, now when looking in store zones etc you will see a new line for "Imperial Guard Mod" and all items added by the core mod and any addons mods will appear under here in appropiate groups, so you can create storage zones easily for Mods items. Looks like a small change but there were 50+ changes to XML all over the place to sort this, so could be buggy..
* New ThingCatagories does not apply to Foods or Furniture, these still sit in the original vanilla sections, as there seems to be some hardcoding going on.
* Imperial Hospital Bed has been re-balanced quality of care has been reduced from 104% to 60%, the standard hospital bed is 10%.
* Added Imperial Thermal Plant - Double output of the Vanilla Thermal Generalor, about 30% harder to build than Vanilla Gen, and uses Imperial Resources.
* Toned Down, Imperial Resources requried to build High End Power Buildings
* Imperial Research Cogitator is a new device that functions the same as the Multi-Analyser, to get most out of this device make sure is the only device connected to your "Hi_Tech Research" Bench, you will still need a "multi-analyser" to meet many research pre-reqs but it does not need to be attached to a bench.  Oh and it needs a HUMAN Brain to be Built!!! 
* Imperial Manufacture Cogitator is a new device that functions the same as the Toot Cabinet, attaching this to the Imperial ONLY work benches (Fabricator, Weapon Fabricator, Armor Fabircator) you get a large boost to manufacture speed. Oh and it needs a HUMAN Brain to be Built!!! NOTE: I could extend these to Vanilla benches but not sure if i should.
* Added the Ability to Harvest Brains as these are a NEW Resource "Brain In a Jar" Item!. Prisoners are a great resource now, or one of your own pawns you dont like :) 
* Changed a pile of "WorkToMake" tags to "WorkToBuild" so correct pawn skill and work prioritisation is used. I think this little change could make a big difference as many items were labled to but MADE rather than BUILT.
* Reduced the work to make on many of the high end items like fabricators, planetary extractor etc.
* Reworked Floor Art so that it can be built upon, so now you can have then under items like beds tables etc.
* Reworked the Metal Floor Art Items (Aquailla) 5x5 & 3x3 to fit better shold look better and bit better around your base.
* New Imperial DropPod, so these are the same as the vanilla transport pod in function, but have far more hitpoints, can be built quicker and reasonably cheap to build once researched. Can be used with Vanilla Lancher or New Imperial Launcher.
* New Imperial DropPod Launcher, so these are same as vanilla launcher in function, but far more hitpoints and three times the fuel capacity using Raw Promethium fuel. Built quickly and with lowish resource, need to be researched.


V1.521
* Fixed Planetary Extractor Heatpusher. Lowered output form 999 to 75 per second.
* Planetary Extractors now can start electrical fires, more likely to happen is they get wet being outside.

V1.52
* A18 Pre-release Version, to make compatiable with A18.
* Fixed over 100 Patch induced Errors!!!! Key Ons below for audit trail incase it breaks something
* Now all Def files call start <Defs> </Defs> instead of unique names Like <TerrainDefs> </TerrainDefs>, this affected ALL Def files..
* Sub Def of Skill Requirments have changed to have skill name as def. E.G. <Crafting>8</Crafting>
* Case Sensitive change on loads of Defs, from  a capital to lowercase e.g. <Fertility>0</Fertility> to <fertility>0</fertility> --> Likely from my original sloppyness.
* <WorkToMake>100</WorkToMake> changed to <WorkToBuild>100</WorkToBuild> in Floors
* <projectileDef> now <defaultProjectile>
* <explosionSpawnChance> seems to have been removed could not find a replacement tag, used in Imp Grendage Launcher Projectile.
* Melee Weapon Definition have completely changed, Melee weapons defs updated according BUT may need more balancing, until i understand the effect of the damage modifiers in game.
* Custom Sounds have been removed from Melee Weapons, due to melee weapons definition changes. Will look to add them again later.


V1.517
* Fixed plasma Reactors. changed ticker to Normal, and reduced heat output. Plasma Reactor do not take damage from heat now, but rooms will get very hot and could cause fires! And reactors now USE the fuel!!!!
* As these now use fuel i have upped how long they last on fuel slightly to make the imapact of this change slight less.. no more free energy :)

V1.516
* Updated work priorities on the Imperial fabricators to make pawn do them over some more mundance tasks.
* Increased efficiency of the imperial fabricator by double, so for Imperial Components, Components, Refined Ceramite & Adamantium, you now get 2 x the output. Change due to more and more stuff in mod needing these items to build
* Decraased work effort for all items at imperial fabricator by around 25%
* Reduced work amount for all Planetary Extractor recipies by 25%
* Increased efficiency of the Planetary core extraor amounts per job, as there are now alot more stuff to build, might be too good!
* fixed Description one the Tenith Rug Deco.

V1.515
* Fixed some description Typos
* Adjusted cover for Razerwire and Barricades to 30% and 75% respectively
* Lowered steel required for razerwire from 5 to 4
* Lowered hitpoint from Razerwire from 600 to 300.
* Fixed the MEDIC trait commonality from 50% to 5%

V1.514
* v1.513 Broke the internet....
* Reversed all changes to the Paradox Poker table, and removed all job givers, atm the table is broke, i have left the table in game, but its not working. Will fix it later.

V1.513
* Changed the chance of the custom traits from 30% to 5%, they were way too common.
* Tweaked some of the settings for the Paradox Poker Tables, also i missed the actual def file from them to use the table.
* Added a mask to the Poker Table, to keep the colour
* Poker table now cannot be rotated, there was no need.

V1.512
* Change jumpsuit Layer from Shell to OnSkin.. Small issue but annoying as....

V1.511
* Fixed Chinese Translation was errors in v1.51

V1.51
* Chinese Translation Updated for v1.5

V1.5 - Major Release
* Chain Sword, Power Axe, Force Sword, Thunder Hammer, Built at Weapon Fabricator, hit hard and reasonable cheap to make. May need more balancing.
* Commissar Hat -- For you commanders or just given them to everybody, your choice... Made at the Armor Fabricator.
* Commissar Great Coat -- For you commanders or just given them to everybody, your choice... Made at the Armor Fabricator.
* Razer Wire - New security item, easier to build then barricades but less strong and dont slow down pawns as much.
* Barricades / Razer wire Path Cost increased to make them much more effective at slowing down raiders or other uses.
* 2 New Statues at the Imperial Fabricator table.. Can be built with most materials, have WH40k Naming and descriptions. Custom naming of Statues 400 combinations.
* Paradox Poker Table for 8 players -- (Still need to prove its working!!!)
* Custom Traits - Powerfull Traits only one can be applied at a time, these are quite rare to get, you can use EBD Prepare Carefully to force these traits onto Pawns when starting a new game. 5 traits created Mechanicus, Astra Millitarum, Inquisition, Assassin, and Medic.
* 4 New Floor Decorations like rugs some made from stone and metal others from fabric and leather. Custom naming of Floor Art 400 combinations.
* New dedicated research tab for the Core Mod and all addons you will see it as a new tab "Astra Militarum" when you go into research.
* Void Shield Belt, made at Armor Fabricator, this thing takes your melee fighters to a whole new level. Shield Belt and Thunder hammer = Carnage!
* New Imperial Solar Panel, that fits in with the design of the Imperium, but is basically the same function as the vanilla solar panels. Found in power buildings tab.
* Carapace Armor and Helmet has all new textures, better than original (in my view) 16 new textures... Same stats and build requirements as before.

V1.44
* Added Chinese Translation courtesy of VoidVoid

V1.43
* Damaged Def Updated to fit update to new tags <battlewound> to <externalviolence>
* Commonality attribute removed from apparel. (seems to have been decoped from A17)
* <armorCategory>IgnoreArmor</armorCategory> remvoed for some damagedef. (seems to have been decoped from A17)
* Fixed Fuel Consumption of Plasma Reactor, last 9 days currently.
* Increated Power Output of Plasma Reactors to make them ore appealing. 12500 to 15000
* Plasma Reactor now Repairable and breakdownable.
* Planetary Core Extractor is now Repairable and breakdownable.
* Imperial Battery is is now Repairable and breakdownable.
* Imperial Core Extractor update to description to say that it must be kept below 0c or it will take damage.
* Fixed a few descriptions
* Increased Spawn rate of Ceramite, Adamantium and Promethium

V1.42
* Bug Fix

V1.41
* New Research Tree Layout, hopefully will; make it easier to use with the new Tree Layout from A16.
* Fixed some sound tags to add the <context>MapOnly</context> tag which was missing for A16 Compliance.

V1.4 - CHANGES MADE: All for A16 Support.
* Imp Hospital Bed -  Updated tag <MedicalTreatmentQualityFactor> to <MedicalTendQualityOffset> but left the same value. Need to confirm same function
* Imp Hospital Bed - Updated tag <Bed_HealTickInterval> to <bed_healPerDay>, change value from 2500 to 24. Will be balanced later.
* All weapon - Updated Tag <warmupTicks> to new tag <warmupTime>, Default Values of 0.3, 0.5, 1, 2, 3 & 4 depedning on weapon is applied. Will be balanced later.
* HeDiff Changes - Updated Tag <bleed> to <bleedRate>, values stayed the same.
* HeDiff Changes - Updated Tag <compClass>HediffComp_Disappears</compClass> to <compClass>HediffCompProperties_Disappears</compClass>
* HeDiff Changes - Removed <naturallyHealed> tag, for a webber effect.

V1.33
* Fixed Text error on the Planetary Extractor Research
* Added Zarmack Pattern Carapace Armor and Helmet. This is Tier2 armor and is better for combat that the standard IG Armor, but does not have the ability to have Flak Plates or servo arm added, also Helmet does not have as much accuracy bouns. The armor does however have more resistance to damage, and offers the most protection to troops. Has a research pre-requisit and can be made at the armor table. (Armor Texture Credit to Lord Zarmack)
* New Barricade Item in security tab. These act like Sandbags but have far more hit points, and  harder to pass over. Requested by Perihelion.

V1.32
* Remove Power Core Req to build Las Weapons, changed from refined certamite to ceramite to build
* Slightly increased damage of Las Weapons by one and added extra burst shot.
* Slightly increated damage or Autogun, and added extra burst shot
* Increase range of Lasgun.
* Increase Efficiency of Imperial Battery 50% to 75%
* Bolter Chnages (Its OP!) Lower damage (40 to 35) and Long Range Accurancy is decreased, and now explosion radius is 1.01 instead of 1.10.

V1.31
* Fixed Imperial Fuel Block Production, recipie was missing from the Imperial Fabricator

V1.30
* Idle workers now help haul building materials to things that are being built.
* Adjusted Market Values of Weapons and Armor to be more realistic, changed to help with adding factions.
* Added a jumpsuit for Imperial Guard Soliders.. For all 5 pawn bodies, makeable at Tailoring benches.
* Fixed missing parent names in a number of DEF files. Created standard BaseAbstract Files (see: https://ludeon.com/forums/index.php?topic=19499.0)
* Added Promethium as a minable resource, atm only used for power generation
* Lower Power Output of Uranium Reactor from 3500 to 2500 to balance additonal of new reactor and new Planatery Core extractor Making fueling and power management easier.
* New Plasma Reactor, used Prometium Fuel Blocks, created at Imperial Assembler. Due to heat output must be in a room that is below 0c otherwise it will meltdown, and cannot be repaired due to complexity
* New Planetary Core Extractor Building, can be used to extract resources from planetary core. Due to heat output  must be in a room that is below 0c otherwise it will meltdown, and cannot be repaired due to complexity
* Increased Sound of Boltgun, and changed to better sound
* Added a Webber Weapon to stun target and allow their capture. Short range 25, not very accurate. Due to game limitations is semi lethal, will kill around 50% of time.
* Added Teir 1 Weapon Autogun. Not Imperial Guard construction compontents reqruired, but still made at the imperial Weapon Fabricator

V1.27
* General changes to get ready for the Turret Addon mod.
* Change Name of Def file "Buildings_QXIGCFurniture.xml" to "Buildings_QXIGC-Furniture.xml"
* CustomDamage Types added.
* Cleaned up Sound File Definition Files, added new sounds for a number of things.
* Uranium Reactor is now Rotatable, also lowered the heat output.

V1.26
***Balance Pass*** --- for workbench and recipes to make less grindy.  (Make sure you delete and recreate any ibills on the workbenches)
* Lowered work time on all Resources by 25% (Imperial Component, RCeramite, Radamantium and Power Core)
* Changed Imperial Component requirement from Gold to Silver, still 20 needed.
* Changed 20 Silver requirement for Refined Ceramite to 10 Steel.
* Changed 20 Gold requirement for Refined Adamantium to 1 Plasteel, lowered silver needed from 60 to 40.
* Imperial Power core items recipe  (RCeramite, RAdamantium, Uranium) changed from 6,2,20 to 4,1,20.
* Armor and Weapon Workbench requirement for Plasteel is now changed to Steel.
* Lowered Work to make for Fabricator Benches by 50%, upped hit points of bench as well.
***NEW ITEMS***
* Added a vanilla component recipe to the basic fabricator. it uses a more efficeint recipe then normal component and does it twice as fast.. 9000 to 4500 work, 20 steel instead of 25.
* Added an Imperial Uranium Reactor, 3500W output, compact. 75 Uranium Lasts nearly 20 days. Lots of heat output watch out!
* Added an Imperial Battery, 5000W storage.. Can cause electrical fires....

V1.25
* Balance Pass, Cos I went too far in last patch on a few things…
* LasPistol, Damage 12 back to 6 with 3 shot burst instead of 2
* Las Gun, Damage 16 back to 8, with a 5 shot burst instead of 3
* Plasma Rifle, was too good… Damage remains but has a 25% movement penalty when equiped. Range decreased as well 50 to 35 to make using the gun more risk.

V1.24
* Balance Pass, Powering Up the weapons slightly...
* Las Pistol Damage per shot upped from 6 to 12
* Las Gun Damage per shot upped from 8 to 16
* Bolt Gun Damage per shot upped from 25 to 40, explosion radius up from 0.9 to 1.1, also with slight accuracy Increase
* Sniper Rifle Damage per shot upped from 80 to 90
* Plasma Rifle Damage per shot upped from 100 to 110, but slightly lowered accuracy.
* Quad Rocket Launcher Damage upped from 40 to shot to 80 per shot. Massive inital Damage 320.. but still single use and removed the fly over ability.

V1.23
--- Changed Build Requirements from Weapon & Armor Fabs. Plasteel Requirement Lowered from 250 to 75, Refined Ceramite Requirement Increaed from 20 to 40
--- Changed Bolter damage per burst to be 25 from 20, so if 1 shot hits its 25, 2 its 50 and 3 its 75. So its now on par with original damage.
--- Changed Bolter burst to be slight quicker firing the 3 shots, from 20 ticks to 17 ticks.
--- Quad Rocket Launcher Damaged upped from 32 damage per rocket to 40 per rocket, Warm up time reduced from 400 to 300. As it one use ot make it a great opener.

V1.22
--- Upped the commonility of minable Ceramite from 0.15 to 0.25, Adamantium from 0.04 to 0.06.
--- Minable Ceramite Yield from 12 to 24
--- Minable Adamantium Yield from 12 to 40	
--- Minable Adamantium Yield Hit point up to account for extra yield to make it longer to mine. Was 15000 Hitpoint now 30000 Hitpoint
--- Lower build resource requirements for the Basic Fabricator Was Steel 500 / Ceramite 500/ Plasteel 250 / Component 15. Now 600 / 250 / 50 / 15 respectively.
--- Lowered Imperial PowerCore Recipe to only need 20 Uranium rather than 100			
--- Correct the Refined Adamantium Recipe Description.
--- Lower Silver required to refine ceramite from 40 to 20
--- Changed the description in the research descriptions to be worded better.			
--- Change Firing and exploding sounds for Boltgun
--- Grenade Launcher can fire over obstacles
--- Change Bolt Gun to a 3 round Burst, originally single shot with 50 Base Damage, now 3 bursts 20 damage each. But with miss calcs should average out to around same damage
--- Fixed the sounds on Plamsa Gun and Bolt Gun
--- Armor Change 1 -  the Std Armor on its own is around 60% that of the Power Armor
--- Armor Change 2 -  Flak Plates at around 70% of the Power Armor
--- Armor Change 3 - Std Armor with Flak Plates give you more protection than Power armor.
--- Armor Change 4 - Workto Make of the armor is changed, and is similar to power armor for all three parts Head, --- Armor and Flak Plates as example.

V1.21
--- Lowered Work Amount and Resources required on all Imperial resources, also added an unfinished product when its being build, but only one item created instead of multiple
--- WorkGiver Defs re-written to have correct activities at the Fabricators. Imp Fab is Crafting, Imp Weapon Fab and Armor Fab is Smithing. Plus better priorities

V1.2
--- Change armor DEFs to allow additional layer available over armor.	
--- Added Flak Plates and Servo Arms as Sheel to go over Imperial Guard Stanadard Armor	
--- Added Quad Rocket Launcher (Single Use) and Triple Grenade Launcher Ranged Weapons.	
--- Added all associated research and manufacturing for all new content.

V1.1
--- Fixed Small Bug in Research Defs

V1.0
--- Release Version




